Bug 1707302 - Review Request: resalloc - resource allocator
Summary: Review Request: resalloc - resource allocator
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-07 08:48 UTC by Pavel Raiskup
Modified: 2019-05-29 01:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-11 23:10:38 UTC
Type: ---
msuchy: fedora-review+


Attachments (Terms of Use)

Description Pavel Raiskup 2019-05-07 08:48:31 UTC
Spec URL: https://raw.githubusercontent.com/praiskup/resalloc/4c94f826297be63fca304703a0e2f58d68441b43/rpm/resalloc.spec
SRPM URL: http://praiskup.fedorapeople.org/resalloc-2.1-2.src.rpm
Description: Client/Server application for managing of (expensive) resources.
Fedora Account System Username: praiskup

Comment 1 Miroslav Suchý 2019-05-07 10:44:11 UTC
I will take it.

Comment 3 Pavel Raiskup 2019-05-09 09:10:16 UTC
Spec URL: https://raw.githubusercontent.com/praiskup/resalloc/fedd5f3d76556ef45f48b346fb6e3db2cea3dde1/rpm/resalloc.spec
SRPM URL: http://praiskup.fedorapeople.org/resalloc-2.2-1.src.rpm

I fixed Source0 url to point to released tarball, not to the "generated"
by GitHub one.

Comment 4 Miroslav Suchý 2019-05-10 08:28:28 UTC
For the record - some issues have been discussed face2face as Pavel is sitting just beside me.

> resalloc-server.noarch: W: log-files-without-logrotate ['/var/log/resallocserver']

Please provide logrotate config.


> resalloc-server.noarch: W: no-manual-page-for-binary resalloc-server

This would be really nice to have.

> resalloc.src: W: strange-permission resalloc.service 600

Is it needed?

> resalloc-server.noarch: E: non-standard-dir-perm /var/log/resallocserver 700

Why not 755?

Comment 5 Pavel Raiskup 2019-05-10 08:36:24 UTC
> > resalloc.src: W: strange-permission resalloc.service 600
> 
> Is it needed?

I'm using umask 0077.  I don't know why rpmlint takes care of this.

> > resalloc-server.noarch: E: non-standard-dir-perm /var/log/resallocserver 700
> 
> Why not 755?

Well, the allocator scripts often work with privileged/secret environment
variables, and I didn't want to risk that other users will be able to read that.

Comment 6 Pavel Raiskup 2019-05-10 10:55:28 UTC
Spec URL: https://raw.githubusercontent.com/praiskup/resalloc/7871cbb5eb4502ee658e9d5860b830250e83f770/rpm/resalloc.spec
SRPM URL: http://praiskup.fedorapeople.org/resalloc-2.3-1.src.rpm

- added log-rotation (with a bit of help by cron, if this can be made simpler,
  please suggest).
- moved resalloc's home to /var/lib

Comment 8 Miroslav Suchý 2019-05-10 11:56:49 UTC
The man page would be nice, but it is not a blocker for me.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-resalloc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.



APPROVED

Comment 9 Gwyn Ciesla 2019-05-10 13:37:22 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/resalloc

Comment 10 Fedora Update System 2019-05-10 14:18:48 UTC
resalloc-2.3-3.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-6850cc0935

Comment 11 Fedora Update System 2019-05-10 14:19:58 UTC
resalloc-2.3-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8a34fef0f

Comment 12 Fedora Update System 2019-05-10 14:21:01 UTC
resalloc-2.3-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3b78bfca8a

Comment 13 Fedora Update System 2019-05-10 14:26:00 UTC
resalloc-2.3-3.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-57e4179776

Comment 14 Fedora Update System 2019-05-11 02:10:45 UTC
resalloc-2.3-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-6850cc0935

Comment 15 Fedora Update System 2019-05-11 03:12:02 UTC
resalloc-2.3-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-3b78bfca8a

Comment 16 Fedora Update System 2019-05-11 04:24:08 UTC
resalloc-2.3-3.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b8a34fef0f

Comment 17 Fedora Update System 2019-05-11 23:10:38 UTC
resalloc-2.3-3.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2019-05-19 06:13:42 UTC
resalloc-2.3-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2019-05-19 10:27:03 UTC
resalloc-2.3-3.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2019-05-29 01:58:53 UTC
resalloc-2.3-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.